header: dirent.h
macros: []
types:
  - type_name: struct_dirent
  - type_name: DIR
  - type_name: ino_t
enums: []
objects: []
functions:
  - name: alphasort
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const struct dirent **
      - type: const struct dirent **
  - name: closedir
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: DIR *
  - name: dirfd
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: DIR *
  - name: fdopendir
    standards: 
      - POSIX
    return_type: DIR *
    arguments:
      - type: int
  - name: opendir
    standards: 
      - POSIX
    return_type: DIR *
    arguments:
      - type: const char *
  - name: readdir
    standards: 
      - POSIX
    return_type: struct dirent *
    arguments:
      - type: DIR *
